<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	https://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There are three reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router which controller/method to use if those
| provided in the URL cannot be matched to a valid route.
|
|	$route['translate_uri_dashes'] = FALSE;
|
| This is not exactly a route, but allows you to automatically route
| controller and method names that contain dashes. '-' isn't a valid
| class or method name character, so it requires translation.
| When you set this option to TRUE, it will replace ALL dashes in the
| controller and method URI segments.
|
| Examples:	my-controller/index	-> my_controller/index
|		my-controller/my-method	-> my_controller/my_method
*/
$route['default_controller'] = 'rms';
$route['404_override'] = '';
$route['translate_uri_dashes'] = FALSE;

$route['login'] = 'rms/login';
$route['dashboard'] = 'rms/dashboard';

$route['lead'] = 'rms/lead';
$route['add_lead'] = 'rms/add_lead';
$route['edit_lead/:num'] = 'rms/edit_lead';
$route['delete_lead/:num'] = 'rms/delete_lead';
$route['lead_details/:num'] = 'rms/lead_details';

$route['edit_notes/:num'] = 'rms/edit_notes';
$route['edit_notes/:num/:num'] = 'rms/edit_notes';
$route['remove_upload_doc/:num'] = 'rms/remove_upload_doc';
$route['delete_notes/:num'] = 'rms/delete_notes';

$route['edit_customer_notes/:num'] = 'rms/edit_customer_notes';
$route['edit_customer_notes/:num/:num'] = 'rms/edit_customer_notes';
$route['remove_cust_upload_doc/:num'] = 'rms/remove_cust_upload_doc';
$route['delete_cust_notes/:num'] = 'rms/delete_cust_notes';


$route['customer'] = 'rms/customer';
$route['add_customer'] = 'rms/add_customer';
$route['customer/:num'] = 'rms/customer';
$route['edit_customer/:num'] = 'rms/edit_customer';
$route['delete_customer/:num'] = 'rms/delete_customer';
$route['customer_details/:num'] = 'rms/customer_details';


$route['inspection'] = 'rms/inspection';
$route['inspection/:num'] = 'rms/inspection';
$route['inspection/:num/:num'] = 'rms/inspection';
$route['delete_inspection/:num'] = 'rms/delete_inspection';
$route['remove_contract/:num'] = 'rms/remove_contract';

$route['inspection_report'] = 'rms/inspection_report';

$route['pdfdetails/:any'] = 'rms/pdfdetails';

$route['change_password'] = 'rms/change_password';

$route['logout'] = 'rms/logout';
