<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Rms extends CI_Controller {

    public function __construct()
    {
        parent::__construct();        
        $this->load->library('pdf');
        $this->load->library('email');
    }

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{
		$this->load->view('login');
	}

	public function getLoginValidation() {
        $this->load->database();
        $this->load->library('form_validation');
        $this->form_validation->set_rules('user_name', 'User Name', 'required|trim');
        $this->form_validation->set_rules('password', 'Password', 'required|trim');
        $this->form_validation->set_error_delimiters("<p class='text-danger'>", '</p>');
        if ($this->form_validation->run()) {
            $username = $this->input->post('user_name');
            $password = $this->input->post('password');
            $this->load->model('rms_model');
            if ($this->rms_model->can_login($username, $password)) {
                $this->db->where('user_name', $username);
                $ses_query = $this->db->get('users');
                $srow = $ses_query->row();
                $session_data = array('suser_id' => $srow->id, 'suser_name' => $srow->user_name, 'scat' => $srow->category, 'slogin_from' => date('m-d-y G:i a', strtotime('+330 minutes', 0)));
                $this->session->set_userdata($session_data);
                redirect(base_url() . 'dashboard');
            } else {
                $this->session->unset_userdata(array('suser_id', 'suser_name', 'scat', 'slogin_from'));
                $this->load->view('login');
                $this->session->set_flashdata('error', 'Invalid Username and Password');
            }
        } else {
            $this->load->view('login');
        }

        redirect(base_url() . 'dashboard');
    }

    //------------------ Dashboard --------------------------------------
    
    public function dashboard() {
        $session_userid = $this->session->userdata('suser_id');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('dashboard');
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    //------------------ Lead --------------------------------------
    
    public function lead() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tblead'] = $this->rms_model->check_id('2', 'SaveContactForm7_19');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('lead', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function add_lead() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbaddlead'] = $this->rms_model->check_id('2', 'SaveContactForm7_19');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('add_lead', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function addLead() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('name', 'Name',  array('required', 'trim'));
        $this->form_validation->set_rules('phone', 'Phone', array('trim'));
        $this->form_validation->set_rules('email', 'Email', array('trim'));
        $this->form_validation->set_rules('address', 'Address Number', array('trim'));
        $this->form_validation->set_rules('your_message', 'Message', array('trim'));
        $this->form_validation->set_rules('quoted_price', 'Quoted Price', array('trim'));

        $uuid = rand();
        $lead_id = $this->input->post('lead_id');

        if ($this->form_validation->run()) {
            $name = $this->input->post('name');
            $phone = $this->input->post('phone');
            $email = $this->input->post('email');
            $address = $this->input->post('address');
            $enquiry_type = $this->input->post('enquiry_type');
            $lead_type = $this->input->post('lead_type');
            $lead_status = $this->input->post('lead_status');  
            $your_message = $this->input->post('your_message');
            $quoted_price = $this->input->post('quoted_price');
            $roof_type = $this->input->post('roof_type');  
            $leaks = $this->input->post('leaks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            $data = array('id' => $uuid, 'first_name' => $name, 'phone_number' => $phone, 'your_email' => $email, 'your_suburb' => $address,'your_message'=> $your_message, 'menu_490' => $lead_type, 'status' => $lead_status, 'menu_489' => $enquiry_type,  'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'created_on' => $now, 'date_updated' => $now);

            $this->db->insert('SaveContactForm7_19', $data);

               $this->session->set_flashdata('success', "Lead Successfully Created.");
                redirect(base_url() . 'lead'); 
                                  
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            $this->load->view('header');
            $this->load->view('add_lead');
            $this->load->view('footer');
        }
    }

    public function edit_lead() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbeditlead'] = $this->rms_model->check_id('2', 'SaveContactForm7_19');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('edit_lead', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    function delete_lead() {
        $id = $this->uri->segment(2);

        $this->db->where('id',$id);
        $query = $this->db->get('SaveContactForm7_19');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_id($id, 'SaveContactForm7_19');
        
        redirect(base_url() . 'lead');
    }

    public function add_customer() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbaddCust'] = $this->rms_model->check_id('2', 'customer_master');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('add_customer', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function addCustomer() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('name', 'Name', array('required', 'trim'));
        $this->form_validation->set_rules('phone', 'Phone', array('trim'));
        $this->form_validation->set_rules('email', 'Email', array('trim'));
        $this->form_validation->set_rules('address', 'Address Number', array('trim'));
        $this->form_validation->set_rules('your_message', 'Message', array('trim'));
        $this->form_validation->set_rules('quoted_price', 'Quoted Price', array('trim'));

        $uuid = rand();
        $lead_id = $this->input->post('lead_id');

        if ($this->form_validation->run()) {
            $name = $this->input->post('name');
            $phone = $this->input->post('phone');
            $email = $this->input->post('email');
            $address = $this->input->post('address');
            $enquiry_type = $this->input->post('enquiry_type');
            $lead_type = $this->input->post('lead_type');
            $lead_status = $this->input->post('lead_status');  
            $your_message = $this->input->post('your_message');
            $quoted_price = $this->input->post('quoted_price');
            $roof_type = $this->input->post('roof_type');  
            $leaks = $this->input->post('leaks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            $data = array('id' => $uuid, 'name' => $name, 'phone' => $phone, 'email' => $email, 'address' => $address,'message'=> $your_message, 'lead_type' => $lead_type, 'lead_status' => $lead_status, 'enquiry_type' => $enquiry_type,  'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_created' => $now, 'date_updated' => $now);

            $this->db->insert('customer_master', $data);

               $this->session->set_flashdata('success', "Lead Successfully Created.");
                redirect(base_url() . 'customer'); 
                                  
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            $this->load->view('header');
            $this->load->view('add_customer');
            $this->load->view('footer');
        }
    }


    public function edit_customer() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbeditcust'] = $this->rms_model->check_id('2', 'customer_master');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('edit_customer', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function editCustomer() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('contract_no', 'Contract No', array('trim'));
        $this->form_validation->set_rules('name', 'Name', array('trim'));
        $this->form_validation->set_rules('phone', 'Phone', array('trim'));
        $this->form_validation->set_rules('email', 'Email', array('trim'));
        $this->form_validation->set_rules('address', 'Address Number', array('trim'));
        $this->form_validation->set_rules('your_message', 'Message', array('trim'));
        $this->form_validation->set_rules('quoted_price', 'Quoted Price', array('trim'));


        $uuid = rand();
        $cust_id = $this->input->post('cust_id');

        if ($this->form_validation->run()) {
            $contract_no = $this->input->post('contract_no');
            $name = $this->input->post('name');
            $phone = $this->input->post('phone');
            $email = $this->input->post('email');
            $address = $this->input->post('address');
            $enquiry_type = $this->input->post('enquiry_type');
            $lead_type = $this->input->post('lead_type');
            $lead_status = $this->input->post('lead_status');  
            $message = $this->input->post('message');
            $quoted_price = $this->input->post('quoted_price');
            $roof_type = $this->input->post('roof_type');  
            $leaks = $this->input->post('leaks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            if ($cust_id != '') {                  

                $this->db->set(array('contract_no' => $contract_no, 'name' => $name, 'phone' => $phone, 'email' => $email, 'address' => $address,'enquiry_type'=> $enquiry_type, 'lead_type' => $lead_type, 'lead_status' => $lead_status, 'message' => $message, 'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_updated' => $now));
               $this->db->where('id', $cust_id);
               $update = $this->db->update('customer_master');              

               $this->session->set_flashdata('success', "Customer Successfully Updated.");
                redirect(base_url() . 'customer');
            }else{
                 $this->session->set_flashdata('error', "Please create the Customer.");
                 redirect(base_url() . 'customer');
            }                       
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'customer');
        }
    }

    public function editCustomer1() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('contract_no', 'Contract No', array('trim'));
        $this->form_validation->set_rules('name', 'Name', array('trim'));
        $this->form_validation->set_rules('phone', 'Phone', array('trim'));
        $this->form_validation->set_rules('email', 'Email', array('trim'));
        $this->form_validation->set_rules('address', 'Address Number', array('trim'));
        $this->form_validation->set_rules('your_message', 'Message', array('trim'));
        $this->form_validation->set_rules('quoted_price', 'Quoted Price', array('trim'));


        $uuid = rand();
        $cust_id = $this->input->post('cust_id');

        if ($this->form_validation->run()) {
            $contract_no = $this->input->post('contract_no');
            $name = $this->input->post('name');
            $phone = $this->input->post('phone');
            $email = $this->input->post('email');
            $address = $this->input->post('address');
            $enquiry_type = $this->input->post('enquiry_type');
            $lead_type = $this->input->post('lead_type');
            $lead_status = $this->input->post('lead_status');  
            $message = $this->input->post('message');
            $quoted_price = $this->input->post('quoted_price');
            $roof_type = $this->input->post('roof_type');  
            $leaks = $this->input->post('leaks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            if ($cust_id != '') {                  

                $this->db->set(array('contract_no' => $contract_no, 'name' => $name, 'phone' => $phone, 'email' => $email, 'address' => $address,'enquiry_type'=> $enquiry_type, 'lead_type' => $lead_type, 'lead_status' => $lead_status, 'message' => $message, 'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_updated' => $now));
               $this->db->where('id', $cust_id);
               $update = $this->db->update('customer_master');              

               $this->session->set_flashdata('success', "Customer Successfully Updated.");
                redirect(base_url() . 'customer_details/'.$cust_id);
            }else{
                 $this->session->set_flashdata('error', "Please create the Customer.");
                 redirect(base_url() . 'customer_details/'.$cust_id);
            }                       
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'customer_details/'.$cust_id);
        }
    }
   


     public function lead_details() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbeditlead'] = $this->rms_model->check_id('2', 'SaveContactForm7_19');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('lead_details', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function editLead() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('first_name', 'First Name', array('trim'));
        $this->form_validation->set_rules('last_name', 'Last Name', array('trim'));
        $this->form_validation->set_rules('your_email', 'Email', array('trim'));
        $this->form_validation->set_rules('phone_number', 'Mobile Number', array('trim'));
        $this->form_validation->set_rules('your_suburb', 'Suburb', array('trim'));
        $this->form_validation->set_rules('your_message', 'Message', array('trim'));
        $this->form_validation->set_rules('quoted_price', 'Quoted Price', array('trim'));

        $uuid = rand();
        $lead_id = $this->input->post('lead_id');

        if ($this->form_validation->run()) {
            $first_name = $this->input->post('first_name');
            $last_name = $this->input->post('last_name');
            $your_email = $this->input->post('your_email');
            $phone_number = $this->input->post('phone_number');
            $your_suburb = $this->input->post('your_suburb');
            $your_message = $this->input->post('your_message');
            $menu_489 = $this->input->post('menu_489');  
            $menu_490 = $this->input->post('menu_490');
            $status = $this->input->post('status');           
            $quoted_price = $this->input->post('quoted_price');
            $roof_type = $this->input->post('roof_type');  
            $leaks = $this->input->post('leaks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            if ($lead_id != '') {                

               $this->db->set(array('first_name' => $first_name, 'last_name' => $last_name, 'phone_number' => $phone_number, 'your_email' => $your_email, 'your_suburb' => $your_suburb,'your_message'=> $your_message, 'menu_490' => $menu_490, 'status' => $status, 'menu_489' => $menu_489, 'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_updated' => $now));
               $this->db->where('id', $lead_id);
               $update = $this->db->update('SaveContactForm7_19'); 

               if($status == 5){
                    $this->db->set(array('is_del' => 1));
                    $this->db->where('id', $lead_id);
                    $update = $this->db->update('SaveContactForm7_19');

                    $name = $first_name.' '.$last_name;
                    $datan = array('id' => $uuid, 'name' => $name, 'phone' => $phone_number, 'email' => $your_email, 'address' => $your_suburb,'message'=> $your_message, 'lead_type' => $menu_490, 'lead_status' => $status, 'enquiry_type' => $menu_490,  'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_created' => $now, 'date_updated' => $now);
                    $this->db->insert('customer_master', $datan);

               }

               $this->session->set_flashdata('success', "Lead Successfully Updated.");
                redirect(base_url() . 'lead'); 
            }else{
                 $this->session->set_flashdata('error', "Please create the Lead.");
                 redirect(base_url() . 'lead'); 
            }                       
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'lead'); 
        }
    }

    public function editLead1() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('first_name', 'First Name', array('trim'));
        $this->form_validation->set_rules('last_name', 'Last Name', array('trim'));
        $this->form_validation->set_rules('your_email', 'Email', array('trim'));
        $this->form_validation->set_rules('phone_number', 'Mobile Number', array('trim'));
        $this->form_validation->set_rules('your_suburb', 'Suburb', array('trim'));
        $this->form_validation->set_rules('your_message', 'Message', array('trim'));
        $this->form_validation->set_rules('quoted_price', 'Quoted Price', array('trim'));

        $uuid = rand();
        $lead_id = $this->input->post('lead_id');

        if ($this->form_validation->run()) {
            $first_name = $this->input->post('first_name');
            $last_name = $this->input->post('last_name');
            $your_email = $this->input->post('your_email');
            $phone_number = $this->input->post('phone_number');
            $your_suburb = $this->input->post('your_suburb');
            $your_message = $this->input->post('your_message');
            $menu_489 = $this->input->post('menu_489');  
            $menu_490 = $this->input->post('menu_490');
            $status = $this->input->post('status');           
            $quoted_price = $this->input->post('quoted_price');
            $roof_type = $this->input->post('roof_type');  
            $leaks = $this->input->post('leaks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            if ($lead_id != '') {                

               $this->db->set(array('first_name' => $first_name, 'last_name' => $last_name, 'phone_number' => $phone_number, 'your_email' => $your_email, 'your_suburb' => $your_suburb,'your_message'=> $your_message, 'menu_490' => $menu_490, 'status' => $status, 'menu_489' => $menu_489, 'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_updated' => $now));
               $this->db->where('id', $lead_id);
               $update = $this->db->update('SaveContactForm7_19'); 

               if($status == 5){
                    $this->db->set(array('is_del' => 1));
                    $this->db->where('id', $lead_id);
                    $update = $this->db->update('SaveContactForm7_19');

                    $name = $first_name.' '.$last_name;
                    $datan = array('id' => $uuid, 'name' => $name, 'phone' => $phone_number, 'email' => $your_email, 'address' => $your_suburb,'message'=> $your_message, 'lead_type' => $menu_490, 'lead_status' => $status, 'enquiry_type' => $menu_490,  'quoted_price' => $quoted_price, 'roof_type' => $roof_type, 'leaks' => $leaks, 'date_created' => $now, 'date_updated' => $now);
                    $this->db->insert('customer_master', $datan);

               }

               $this->session->set_flashdata('success', "Lead Successfully Updated.");
                redirect(base_url() . 'lead_details/'.$lead_id); 
            }else{
                 $this->session->set_flashdata('error', "Please create the Lead.");
                 redirect(base_url() . 'lead_details/'.$lead_id); 
            }                       
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'lead_details/'.$lead_id); 
        }
    }


    public function UploadDocument() {
        $this->load->database();
        $this->load->model('rms_model');
        
        $this->load->library('form_validation');
        $this->form_validation->set_rules('note_desc', 'Description', array('trim'));

        $uuid = rand();
        $session_userid = $this->session->userdata('suser_id');        
        $cust_id = $this->input->post('cust_id');        
        date_default_timezone_set('Australia/Victoria');
        $now = date('Y-m-d H:i:s'); 

        if ($this->form_validation->run()) {
             $note_desc = $this->input->post('note_desc');

            if (isset($_FILES['upload_contract']) && $_FILES['upload_contract']['name'] != ''){
                $file_ext = pathinfo($_FILES["upload_contract"]["name"], PATHINFO_EXTENSION);    
                $config['upload_path'] = './uploads';
                $config['allowed_types'] = 'gif|jpg|jpeg|png|txt|xls|xlsx|doc|docx|pdf';
                $config['max_size']     = '80000';
                $config['max_width'] = '50000';
                $config['max_height'] = '50000';
                $config['file_name'] = $uuid;
                $newImage = $config['file_name'].'.'.$file_ext;                    

                $this->load->library('upload', $config);
                if ( ! $this->upload->do_upload('upload_contract')) {
                    $error = array('error' => $this->upload->display_errors());        
                    $this->load->view('header');
                    $this->load->view('lead_details',compact('upload_error'));
                    $this->load->view('footer');
                } else {
                    $data = array('upload_data' => $this->upload->data());
                }
            }else{
                $newImage = '';                    
            }

            $data = array('id' => $uuid, 'lead_id' => $cust_id, 'note_desc' => $note_desc, 'upload_contract' => $newImage, 'date_entered' => $now, 'date_updated' => $now);

            $this->db->insert('upload_notes', $data);

            $this->session->set_flashdata('success', "New Notes Successfully Created.");
             redirect(base_url() . 'lead_details/'.$cust_id);  
            }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'lead_details/'.$lead_id); 
        }
    }


    public function UploadDocument1() {
        $this->load->database();
        $this->load->model('rms_model');
        
        $this->load->library('form_validation');
        $this->form_validation->set_rules('note_desc', 'Description', array('trim'));

        $uuid = rand();
        $session_userid = $this->session->userdata('suser_id');        
        $cust_id = $this->input->post('cust_id');        
        date_default_timezone_set('Australia/Victoria');
        $now = date('Y-m-d H:i:s'); 

        if ($this->form_validation->run()) {
             $note_desc = $this->input->post('note_desc');

            if (isset($_FILES['upload_contract']) && $_FILES['upload_contract']['name'] != ''){
                $file_ext = pathinfo($_FILES["upload_contract"]["name"], PATHINFO_EXTENSION);    
                $config['upload_path'] = './uploads';
                $config['allowed_types'] = 'gif|jpg|jpeg|png|txt|xls|xlsx|doc|docx|pdf';
                $config['max_size']     = '80000';
                $config['max_width'] = '50000';
                $config['max_height'] = '50000';
                $config['file_name'] = $uuid;
                $newImage = $config['file_name'].'.'.$file_ext;                    

                $this->load->library('upload', $config);
                if ( ! $this->upload->do_upload('upload_contract')) {
                    $error = array('error' => $this->upload->display_errors());        
                    $this->load->view('header');
                    $this->load->view('lead_details',compact('upload_error'));
                    $this->load->view('footer');
                } else {
                    $data = array('upload_data' => $this->upload->data());
                }
            }else{
                $newImage = '';                    
            }

            $data = array('id' => $uuid, 'lead_id' => $cust_id, 'note_desc' => $note_desc, 'upload_contract' => $newImage, 'date_entered' => $now, 'date_updated' => $now);

            $this->db->insert('upload_notes', $data);

            $this->session->set_flashdata('success', "New Notes Successfully Created.");
             redirect(base_url() . 'customer_details/'.$cust_id);  
            }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'customer_details/'.$lead_id); 
        }
    }


    public function edit_notes() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbeditnotes'] = $this->rms_model->check_id('3', 'upload_notes');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('edit_notes', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function edit_customer_notes() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbeditCustnotes'] = $this->rms_model->check_id('3', 'upload_notes');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('edit_customer_notes', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function editNotes() {
        $this->load->database();
        $this->load->model('rms_model');
        
        $this->load->library('form_validation');
        $this->form_validation->set_rules('note_desc', 'Description', array('trim'));

        if ($this->form_validation->run()) {      
            $note_desc = $this->input->post('note_desc');

            $session_userid = $this->session->userdata('suser_id');        
            $lead_id = $this->input->post('lead_id');   
            $note_id = $this->input->post('note_id');       
            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');  
           
            if ($note_id != '') {
                $this->db->where('id', $note_id);
                $semquery = $this->db->get('upload_notes');
                $row1 = $semquery->row();

                if (isset($_FILES['upload_contract']) && $_FILES['upload_contract']['name'] != ''){
                    $file_ext = pathinfo($_FILES["upload_contract"]["name"], PATHINFO_EXTENSION);    
                    $config['upload_path'] = './uploads';
                    $config['allowed_types'] = 'gif|jpg|jpeg|png|txt|xls|xlsx|doc|docx|pdf';
                    $config['max_size']     = '80000';
                    $config['max_width'] = '50000';
                    $config['max_height'] = '50000';
                    $config['file_name'] = $note_id;
                    $newImage = $config['file_name'].'.'.$file_ext;  

                        if($row1->upload_contract  != ''){
                            define('EXT', '.'.pathinfo(__FILE__, PATHINFO_EXTENSION));
                            define('PUBPATH',str_replace(SELF,'',FCPATH)); // added
                            $this->load->helper("url");
                            $abc = PUBPATH.'uploads/'.$row1->upload_contract;        
                            unlink($abc);
                        }                      

                        $this->load->library('upload', $config);
                        if ( ! $this->upload->do_upload('upload_contract')) {
                            $error = array('error' => $this->upload->display_errors());        
                            $this->load->view('header');
                            $this->load->view('edit_notes',compact('upload_error'));
                            $this->load->view('footer');
                        } else {
                            $data = array('upload_data' => $this->upload->data());
                        }
                    }else{
                        if($row1->upload_contract == ''){
                            $newImage = '';
                        }else{
                            $newImage = $row1->upload_contract;
                        }              
                    }                                 

                $this->db->set(array('note_desc' => $note_desc, 'upload_contract' => $newImage,'date_updated' => $now));
                    
                $this->db->where('id', $note_id);
                $update = $this->db->update('upload_notes');                         

               $this->session->set_flashdata('success', "Teacher Organizing Successfully Updated.");
                redirect(base_url() . 'edit_notes/'.$lead_id); 
            }  
       } else {            
            $this->session->set_flashdata('error', "Please insert all required Organizing field."); 
            redirect(base_url() . 'edit_notes/'.$lead_id);
        }
    } 


    public function editCustNotes() {
        $this->load->database();
        $this->load->model('rms_model');
        
        $this->load->library('form_validation');
        $this->form_validation->set_rules('note_desc', 'Description', array('trim'));

        if ($this->form_validation->run()) {      
            $note_desc = $this->input->post('note_desc');

            $session_userid = $this->session->userdata('suser_id');        
            $lead_id = $this->input->post('lead_id');   
            $note_id = $this->input->post('note_id');       
            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');  
           
            if ($note_id != '') {
                $this->db->where('id', $note_id);
                $semquery = $this->db->get('upload_notes');
                $row1 = $semquery->row();

                if (isset($_FILES['upload_contract']) && $_FILES['upload_contract']['name'] != ''){
                    $file_ext = pathinfo($_FILES["upload_contract"]["name"], PATHINFO_EXTENSION);    
                    $config['upload_path'] = './uploads';
                    $config['allowed_types'] = 'gif|jpg|jpeg|png|txt|xls|xlsx|doc|docx|pdf';
                    $config['max_size']     = '80000';
                    $config['max_width'] = '50000';
                    $config['max_height'] = '50000';
                    $config['file_name'] = $note_id;
                    $newImage = $config['file_name'].'.'.$file_ext;  

                        if($row1->upload_contract  != ''){
                            define('EXT', '.'.pathinfo(__FILE__, PATHINFO_EXTENSION));
                            define('PUBPATH',str_replace(SELF,'',FCPATH)); // added
                            $this->load->helper("url");
                            $abc = PUBPATH.'uploads/'.$row1->upload_contract;        
                            unlink($abc);
                        }                      

                        $this->load->library('upload', $config);
                        if ( ! $this->upload->do_upload('upload_contract')) {
                            $error = array('error' => $this->upload->display_errors());        
                            $this->load->view('header');
                            $this->load->view('edit_customer_notes',compact('upload_error'));
                            $this->load->view('footer');
                        } else {
                            $data = array('upload_data' => $this->upload->data());
                        }
                    }else{
                        if($row1->upload_contract == ''){
                            $newImage = '';
                        }else{
                            $newImage = $row1->upload_contract;
                        }              
                    }                                 

                $this->db->set(array('note_desc' => $note_desc, 'upload_contract' => $newImage,'date_updated' => $now));
                    
                $this->db->where('id', $note_id);
                $update = $this->db->update('upload_notes');                         

               $this->session->set_flashdata('success', "Teacher Organizing Successfully Updated.");
                redirect(base_url() . 'edit_customer_notes/'.$lead_id); 
            }  
       } else {            
            $this->session->set_flashdata('error', "Please insert all required Organizing field."); 
            redirect(base_url() . 'edit_customer_notes/'.$lead_id);
        }
    } 




    function remove_upload_doc() {
        $id = $this->uri->segment(2);
        $this->db->where('id',$id);
        $query = $this->db->get('upload_notes');
        $row = $query->row(); 

        if($row->upload_contract  != ''){
            define('EXT', '.'.pathinfo(__FILE__, PATHINFO_EXTENSION));
            define('PUBPATH',str_replace(SELF,'',FCPATH)); // added
            $this->load->helper("url");
            $abc = PUBPATH.'uploads/'.$row->upload_contract;        
            unlink($abc);
        }  

        $this->db->set(array('upload_contract' => '','date_updated' => $now));
        $this->db->where('id', $id);
        $update = $this->db->update('upload_notes');         
        redirect(base_url() . 'edit_notes/'.$row->lead_id.'/'.$row->id);
    }

    function remove_cust_upload_doc() {
        $id = $this->uri->segment(2);
        $this->db->where('id',$id);
        $query = $this->db->get('upload_notes');
        $row = $query->row(); 

        if($row->upload_contract  != ''){
            define('EXT', '.'.pathinfo(__FILE__, PATHINFO_EXTENSION));
            define('PUBPATH',str_replace(SELF,'',FCPATH)); // added
            $this->load->helper("url");
            $abc = PUBPATH.'uploads/'.$row->upload_contract;        
            unlink($abc);
        }  

        $this->db->set(array('upload_contract' => '','date_updated' => $now));
        $this->db->where('id', $id);
        $update = $this->db->update('upload_notes');         
        redirect(base_url() . 'edit_customer_notes/'.$row->lead_id.'/'.$row->id);
    }

    function delete_notes() {
        $id = $this->uri->segment(2);

        $this->db->where('id',$id);
        $query = $this->db->get('upload_notes');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_doc($id, 'upload_notes');
        
        redirect(base_url() . 'edit_notes/'. $row->lead_id);
    }

    function delete_cust_notes() {
        $id = $this->uri->segment(2);

        $this->db->where('id',$id);
        $query = $this->db->get('upload_notes');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_doc($id, 'upload_notes');
        
        redirect(base_url() . 'edit_customer_notes/'. $row->lead_id);
    }

    //------------------ Customer --------------------------------------
    
    public function customer() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbcustomer'] = $this->rms_model->check_id('2', 'customer_master');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('customer', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function insertCustomer() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');
        $this->form_validation->set_rules('name', 'Name', array('trim'));
        $this->form_validation->set_rules('email', 'Email', array('trim'));
        $this->form_validation->set_rules('phone', 'Mobile Number', array('trim'));
        $this->form_validation->set_rules('address', 'Address', array('trim'));
        $this->form_validation->set_rules('message', 'Message', array('trim'));
        $this->form_validation->set_rules('remarks', 'Remarks', array('trim'));

        $uuid = rand();
        $lead_id = $this->input->post('lead_id');

        if ($this->form_validation->run()) {
            $cust_id = $this->input->post('cust_id');
            $name = $this->input->post('name');
            $email = $this->input->post('email');
            $phone = $this->input->post('phone');
            $address = $this->input->post('address');
            $message = $this->input->post('message');
            $remarks = $this->input->post('remarks');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            $this->db->where(array('name'=> $name, 'phone'=> $phone ));
            $query = $this->db->get('customer_master');
            $row = $query->row();

            if ($cust_id == '') { 
                if ($query->num_rows() == 0) {
                    $data = array('id' => rand(), 'name' => $name, 'email' => $email, 'phone' => $phone,'message'=> $message, 'remarks'=> $remarks, 'address'=> $address, 'date_created' => $now, 'date_updated' => $now);

                    $this->db->insert('customer_master', $data);
                    $this->session->set_flashdata('success', "New Customer Successfully Created.");
                    redirect(base_url() . 'customer');
                }else{
                    $this->session->set_flashdata('error', "Duplicate Customer! Please insert a unique Customer.");
                    redirect(base_url() . 'customer');
                }
            }else{
                
                $this->db->set(array('name' => $name, 'email' => $email, 'phone' => $phone,'message'=> $message,'remarks'=> $remarks, 'address'=> $address, 'date_created' => $now, 'date_updated' => $now));
                $this->db->where('id', $cust_id);
                $update = $this->db->update('customer_master');

                $this->session->set_flashdata('success', "Customer Successfully Updated.");
                redirect(base_url() . 'customer'); 
            }                   
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'customer');
        }
    }

    function delete_customer() {
        $id = $this->uri->segment(2);

        $this->db->where('id',$id);
        $query = $this->db->get('customer_master');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_id($id, 'customer_master');
        
        redirect(base_url() . 'customer');
    }


    public function customer_details() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbcustDet'] = $this->rms_model->check_cust_id('2', 'customer_master');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('customer_details', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }   

    public function editInvoice() {
        $this->load->database();
        $this->load->model('rms_model');

        $this->load->library('form_validation');        
        $this->form_validation->set_rules('invoice_desc', 'Invoice Desc', array('trim'));
        $this->form_validation->set_rules('subtotal', 'Sub Total', array('trim'));
        $this->form_validation->set_rules('discount', 'Discount', array('trim'));
        $this->form_validation->set_rules('tax_vat_rate', 'Tax/Vat Rate', array('trim'));
        $this->form_validation->set_rules('tax_vat_amount', 'Tax/Vat Amount', array('trim'));
        $this->form_validation->set_rules('grand_total', 'Total', array('trim'));
        $this->form_validation->set_rules('special_notes', 'Special Notes', array('trim'));

        $uuid = rand();        

        if ($this->form_validation->run()) {
            $cust_id = $this->input->post('cust_id');
            $invoice_date = $this->input->post('invoice_date');
            $valid_until = $this->input->post('valid_until');
            $invoice_desc = $this->input->post('invoice_desc');
            $subtotal = $this->input->post('subtotal');
            $discount = $this->input->post('discount');
            $tax_vat_rate = $this->input->post('tax_vat_rate');
            $tax_vat_amount  = $this->input->post('tax_vat_amount');
            $grand_total = $this->input->post('grand_total');
            $special_notes = $this->input->post('special_notes');

            $inv_desc = $this->input->post('inv_desc');
            $inv_amt = $this->input->post('inv_amt');

            $noOFrows = $this->input->post('noOFrows');

            date_default_timezone_set('Australia/Victoria');
            $invoice_date = date("Y-m-d", strtotime($invoice_date));    
            $valid_until = date("Y-m-d", strtotime($valid_until));    
            $now = date('Y-m-d H:i:s');

            $session_userid = $this->session->userdata('suser_id');

            $this->db->where('customer_id', $cust_id);
            $query = $this->db->get('invoice_master');
            $row = $query->row();

            if ($query->num_rows() == 0) { 
                $data = array('id' => rand(), 'customer_id' => $cust_id, 'invoice_date' => $invoice_date, 'valid_until' => $valid_until,'invoice_desc'=> $invoice_desc, 'subtotal'=> $subtotal, 'discount'=> $discount, 'tax_vat_rate'=> $tax_vat_rate, 'tax_vat_amount'=> $tax_vat_amount, 'grand_total'=> $grand_total, 'special_notes'=> $special_notes,'date_entered' => $now, 'date_updated' => $now);

                $this->db->insert('invoice_master', $data);
               
                $this->db->set(array('has_invoice' => 1, 'date_updated' => $now));
                $this->db->where('id', $cust_id);
                $update = $this->db->update('customer_master');


                 for($i=0; $i<$noOFrows; $i++){
                    $inv_desc = $inv_desc[$i];
                    $inv_amt = $inv_amt[$i];
                    
                    $data1 = array('id' => rand(), 'customer_id' => $cust_id, 'invoice_desc' => $inv_desc, 'invoice_amount' => $inv_amt,'date_created' => $now, 'date_updated' => $now);

                    $this->db->insert('invoice_details', $data1);
                }
                
                $this->session->set_flashdata('success', "New Invoice Successfully Created.");
                redirect(base_url() . 'customer_details/'.$cust_id);                
            }else{
                
                $this->db->set(array('invoice_date' => $invoice_date, 'valid_until' => $valid_until,'invoice_desc'=> $invoice_desc, 'subtotal'=> $subtotal, 'discount'=> $discount, 'tax_vat_rate'=> $tax_vat_rate, 'tax_vat_amount'=> $tax_vat_amount, 'grand_total'=> $grand_total,'special_notes'=> $special_notes,'date_updated' => $now));
                $this->db->where('customer_id', $cust_id);
                $update = $this->db->update('invoice_master');

                $this->db->where('customer_id', $cust_id);
                $this->db->delete('invoice_details');

                for($i=0; $i<$noOFrows; $i++){
                   $inv_desc1 = $inv_desc[$i];
                    $inv_amt1 = $inv_amt[$i];
                    
                    $data1 = array('id' => rand(), 'customer_id' => $cust_id, 'invoice_desc' => $inv_desc1, 'invoice_amount' => $inv_amt1,'date_created' => $now, 'date_updated' => $now);

                    $this->db->insert('invoice_details', $data1);
                }


                $this->session->set_flashdata('success', "Invoice Successfully Updated.");
                redirect(base_url() . 'customer_details/'.$cust_id);  
            }                   
        }else {     
            $this->session->set_flashdata('error', "Please insert all required field."); 
            redirect(base_url() . 'customer_details/'.$cust_id);  
        }
    }

    //------------------ Customer --------------------------------------
    
    public function inspection() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbinspect'] = $this->rms_model->check_id('3', 'inspection_master');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('inspection', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }

    public function getCustomer() {      
        $session_userid = $this->session->userdata('suser_id');
        $getcust = $this->input->post('getcust');
        if ($session_userid != '') {
            redirect(base_url() . 'inspection/'.$getcust);           
        }        
    }

    public function createInspection() {
        $this->load->database();
        $this->load->model('rms_model');
        
        $this->load->library('form_validation');
        $this->form_validation->set_rules('details', 'Comment', array('trim'));
        $this->form_validation->set_rules('insp_date', 'Date', array('trim','required','valid_date'));
        $this->form_validation->set_rules('remarks', 'Remarks', array('trim'));
        
        $uuid = rand();
        $session_userid = $this->session->userdata('suser_id');
        $cust_id = $this->input->post('cust_id');
        $inspect_id = $this->input->post('inspect_id');

        if ($this->form_validation->run()) {      
            $insp_date = $this->input->post('insp_date');
            $details = $this->input->post('details');
            $remarks = $this->input->post('remarks');
            $payment_status = $this->input->post('payment_status');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');  

            $insp_date = date("Y-m-d", strtotime($insp_date));              
            
            if ($inspect_id == '') {  

                if (isset($_FILES['upload_contract']) && $_FILES['upload_contract']['name'] != ''){
                    $file_ext = pathinfo($_FILES["upload_contract"]["name"], PATHINFO_EXTENSION);    
                    $config['upload_path'] = './uploads';
                    $config['allowed_types'] = 'gif|jpg|jpeg|png|txt|xls|xlsx|doc|docx|pdf';
                    $config['max_size']     = '80000';
                    $config['max_width'] = '50000';
                    $config['max_height'] = '50000';
                    $config['file_name'] = $uuid;
                    $newImage = $config['file_name'].'.'.$file_ext;                    

                    $this->load->library('upload', $config);
                    if ( ! $this->upload->do_upload('upload_contract')) {
                        $error = array('error' => $this->upload->display_errors());        
                        $this->load->view('header');
                        $this->load->view('inspection',compact('upload_error'));
                        $this->load->view('footer');
                    } else {
                        $data = array('upload_data' => $this->upload->data());
                    }
                }else{
                    $newImage = '';                    
                }

                $data = array('id' => $uuid, 'customer_id' => $cust_id, 'insp_date' => $insp_date, 'details' => $details, 'remarks' => $remarks, 'upload_contract' => $newImage, 'payment_status' => $payment_status, 'date_entered' => $now, 'date_updated' => $now);

                $this->db->insert('inspection_master', $data);

                $this->session->set_flashdata('success', "New Inspection Successfully Created.");
                redirect(base_url() . 'inspection/'.$cust_id);                    
            
            }else{

                 if (isset($_FILES['upload_contract']) && $_FILES['upload_contract']['name'] != ''){
                    $file_ext = pathinfo($_FILES["upload_contract"]["name"], PATHINFO_EXTENSION);    
                    $config['upload_path'] = './uploads';
                    $config['allowed_types'] = 'gif|jpg|jpeg|png|txt|xls|xlsx|doc|docx|pdf';
                    $config['max_size']     = '80000';
                    $config['max_width'] = '50000';
                    $config['max_height'] = '50000';
                    $config['file_name'] = $uuid;
                    $newImage = $config['file_name'].'.'.$file_ext;  

                    if($row->upload_contract != ''){
                        define('EXT', '.'.pathinfo(__FILE__, PATHINFO_EXTENSION));
                        define('PUBPATH',str_replace(SELF,'',FCPATH)); // added
                        $this->load->helper("url");
                        $abc = PUBPATH.'uploads/'.$row->upload_contract;        
                        unlink($abc);
                    }                  

                    $this->load->library('upload', $config);
                    if ( ! $this->upload->do_upload('upload_contract')) {
                        $error = array('error' => $this->upload->display_errors());        
                        $this->load->view('header');
                        $this->load->view('inspection',compact('upload_error'));
                        $this->load->view('footer');
                    } else {
                        $data = array('upload_data' => $this->upload->data());
                    }
                }else{
                    if($row->documents == ''){
                        $newImage = '';
                    }else{
                        $newImage = $row->documents;
                    }                  
                }

                $this->db->set(array('customer_id' => $cust_id, 'insp_date' => $insp_date, 'details' => $details, 'remarks' => $remarks, 'upload_contract' => $newImage, 'payment_status' => $payment_status, 'date_updated' => $now));   

               $this->db->where('id', $inspect_id);
               $update = $this->db->update('inspection_master');

               $this->session->set_flashdata('success', "Inspection Successfully Updated.");
                redirect(base_url() . 'inspection/'.$cust_id); 
            }  
       } else {            
            $this->session->set_flashdata('error', "Please insert all required Inspection."); 
            redirect(base_url() . 'inspection/'.$cust_id);
        }
    }

    function remove_contract() {
        $id = $this->uri->segment(2);
        $this->db->where('id',$id);
        $query = $this->db->get('inspection_master');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_doc1($id, 'inspection_master');
        redirect(base_url() . 'inspection/'.$row->customer_id);
    }

    
    function delete_inspection() {
        $id = $this->uri->segment(2);
        $this->db->where('id',$id);
        $query = $this->db->get('inspection_master');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_doc($id, 'inspection_master');
        redirect(base_url() . 'inspection/'.$row->customer_id);
    }

    function delete_inspection1() {
        $id = $this->uri->segment(2);
        $this->db->where('id',$id);
        $query = $this->db->get('inspection_master');
        $row = $query->row(); 

        $this->load->model('rms_model');
        $this->rms_model->delete_doc($id, 'inspection_master');
        redirect(base_url() . 'inspection_report');
    }

    public function inspection_report() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbinspectrept'] = $this->rms_model->check_id('3', 'inspection_master');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('inspection_report', $data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    }


    //------------------ Change Password --------------------------------------
    public function change_password() {
        $session_userid = $this->session->userdata('suser_id');
        $this->load->model('rms_model');
        $data['tbChangePass'] = $this->rms_model->check_id('2', 'users');
        if ($session_userid != '') {
            $this->load->view('header');
            $this->load->view('change_password',$data);
            $this->load->view('footer');
        } else {
            $this->load->view('login');
        }
    } 


    public function changePassword() {
        $this->load->database();
        $this->load->library('form_validation');
        
        $this->form_validation->set_rules('old_pass', 'Old Password', array('required', 'trim'));
        $this->form_validation->set_rules('new_pass', 'New Password', array('required', 'trim'));
        $this->form_validation->set_rules('confirm_pass', 'Confirm Password', array('required', 'trim'));
        
        if ($this->form_validation->run()) {
            
            $user_id = $this->input->post('user_id');
            $old_pass = $this->input->post('old_pass');
            $new_pass = $this->input->post('new_pass');
            $confirm_pass = $this->input->post('confirm_pass');

            date_default_timezone_set('Australia/Victoria');
            $now = date('Y-m-d H:i:s');
            $session_userid = $this->session->userdata('suser_id');
            
            if($new_pass == $confirm_pass){
                $this->db->where('id', $session_userid);
                $query = $this->db->get('users');
                $row = $query->row();

                    if (password_verify($old_pass, $row->password)) {
                         $this->db->set(array('password' => password_hash($new_pass, PASSWORD_DEFAULT, ['cost' => 15]), 'updated_by' => md5($session_userid), 'date_updated' => $now));

                         $this->db->where('id', $session_userid);
                        $update = $this->db->update('users');
                        
                        $this->session->set_flashdata('success', "Password Successfully Updated.");
                        redirect(base_url() . 'change_password');


                    } else {
                        $this->session->set_flashdata('error', "Old Password is Incorrect!.");
                        redirect(base_url() . 'change_password');
                    }

            }else{
                $this->session->set_flashdata('error', "New and Confirm Password Mismatch!");
                redirect(base_url() . 'change_password');
            }
            
        } else {
            $this->load->view('header');
            $this->load->view('change_password');
            $this->load->view('footer');
        }
    }

    function ajaxInvDet(){
        $menu_arr = array();

        $cust_id = $this->input->post('cust_id');         

        $this->db->where('customer_id',$cust_id);                          
        $query = $this->db->get('invoice_details');
        $result = $query->result();

        foreach ($result as $k) {
            $menu_arr[] = array("id" => $k->id, "customer_id" => $k->customer_id, "invoice_desc" => $k->invoice_desc, "invoice_amount" => $k->invoice_amount, "date_created" => $k->date_created, "date_updated" => $k->date_updated);
        }
        echo json_encode($menu_arr); 
    }

    public function pdfdetails()
    {
        if($this->uri->segment(2))
        {
            $customer_id = explode(".pdf",$this->uri->segment(2)); 

            $this->load->model('rms_model');
            $html_content = $this->rms_model->fetch_invoice($customer_id[0]);
            $this->pdf->loadHtml($html_content);
            $this->pdf->render();
            $this->pdf->stream("".$customer_id.".pdf", array("Attachment"=>0));
        }
    }

    public function sendEmail(){
        $cust_id = $this->input->post('cust_id');
        $email_from = $this->input->post('email_from');
        $email_to = $this->input->post('email_to');
        $email_message = $this->input->post('email_message');
        $inv_attach = $this->input->post('inv_attach');

        $value = $this->input->post('check_attach');
        $checked = ($value === FALSE) ? 0 : 1;

        $this->db->where('customer_id',$cust_id);                          
        $query = $this->db->get('invoice_master');
        $result = $query->row();


        $this->email->from($email_from, 'Your Name');
        $this->email->to($email_to);

        $this->email->subject('Invoice for the Job '.$result->quote_no);
        $this->email->message($email_message);
        if($checked == 1){$this->email->attach($inv_attach);}
        

        $this->email->send();

        redirect(base_url() . 'customer_details/'.$cust_id);

        
    }

    public function logout() {
        $this->session->unset_userdata(array('suser_id', 'suser_name', 'suser_cat', 'slogin_from'));
        $this->load->view('login');
    }

    
}
